Subject: bug#50686: Show number of downloads on packages on GNU ELPA/NonGNU ELPA

From: Adam Porter <[email-masked]>
Date: Fri, 8 Mar 2024 17:20:17 -0600

Hi Stefan,

On 3/5/24 23:04, Stefan Monnier wrote:
> If you go to http://elpa.gnu.org/packages/ you'll now see a new column
> "Rank" which shows a percentile ranking for each package.

That's very cool.  I guess it's not looking very far back in the 
download data (yet?), because I see, e.g. my recently added Activities 
package being listed at 90%, which couldn't possibly have nearly as many 
downloads as other packages that have been there for much longer and are 
much more widely used.

What are your plans for the stats from here?  e.g. it would be helpful 
to be able to see stats within a time period, maybe a graph over time, a 
list of downloads per version, etc.  (Not that I expect you to do all of 
these things yourself, just curious.)

Thanks,
Adam